package com.fjhx.ehsd.service.freight;

import com.fjhx.ehsd.entity.freight.po.FreightForwarder;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.ehsd.entity.freight.vo.FreightForwarderVo;
import com.fjhx.ehsd.entity.freight.dto.FreightForwarderSelectDto;
import com.fjhx.ehsd.entity.freight.dto.FreightForwarderDto;


/**
 * <p>
 * 货代公司管理 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface FreightForwarderService extends BaseService<FreightForwarder> {

    /**
     * 货代公司管理分页
     */
    Page<FreightForwarderVo> getPage(FreightForwarderSelectDto dto);

    /**
     * 货代公司管理明细
     */
    FreightForwarderVo detail(Long id);

    /**
     * 货代公司管理新增
     */
    void add(FreightForwarderDto freightForwarderDto);

    /**
     * 货代公司管理编辑
     */
    void edit(FreightForwarderDto freightForwarderDto);

    /**
     * 货代公司管理删除
     */
    void delete(Long id);

}
